> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Generation Models

> Interface description: Obtain the video generation model and parameter range available for the current account, including model name, resolution, screen ratio, duration and price information, to be used to generate the video interface to complete parameter selection and request parameter verification.



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/ai/models/video/generation
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/ai/models/video/generation:
    get:
      tags:
        - AI Services/Video Generation
      summary: Video Generation Models
      description: >-
        Interface description: Obtain the video generation model and parameter
        range available for the current account, including model name,
        resolution, screen ratio, duration and price information, to be used to
        generate the video interface to complete parameter selection and request
        parameter verification.
      operationId: VideoController_getVideoGenerationModels
      parameters: []
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: Model name
                        description:
                          type: string
                          description: Model description
                        summary:
                          type: string
                          description: Model summary
                        tags:
                          default: []
                          type: array
                          items:
                            type: string
                          description: list
                        mainTag:
                          type: string
                          description: main tags
                        creditsScope:
                          default: general
                          type: string
                          enum:
                            - general
                            - sale
                          description: Points range
                        modes:
                          type: array
                          items:
                            type: string
                            enum:
                              - text2video
                              - image2video
                              - flf2video
                              - lf2video
                              - multi-image2video
                              - multi-ref
                              - video2video
                          description: Supported mode list
                        resolutions:
                          type: array
                          items:
                            type: string
                          description: Supported sizes
                        durations:
                          type: array
                          items:
                            type: number
                          description: Support duration
                        maxInputImages:
                          type: number
                          description: Maximum number of input images
                        inputConstraints:
                          type: object
                          properties:
                            images:
                              description: Image input constraints
                              type: object
                              properties:
                                maxCount:
                                  description: Maximum number of inputs
                                  type: number
                                formats:
                                  description: Supported file formats
                                  type: array
                                  items:
                                    type: string
                                minDuration:
                                  description: Minimum duration (seconds)
                                  type: number
                                maxDuration:
                                  description: Maximum duration of a single file (seconds)
                                  type: number
                                maxTotalDuration:
                                  description: Total maximum duration (seconds)
                                  type: number
                                maxSizeMb:
                                  description: Maximum size of a single file (MB)
                                  type: number
                                minAspectRatio:
                                  description: minimum aspect ratio
                                  type: number
                                maxAspectRatio:
                                  description: Maximum aspect ratio
                                  type: number
                                minWidth:
                                  description: minimum width
                                  type: number
                                maxWidth:
                                  description: maximum width
                                  type: number
                                minPixels:
                                  description: Minimum number of pixels
                                  type: number
                                maxPixels:
                                  description: Maximum number of pixels
                                  type: number
                                minFps:
                                  description: Minimum frame rate
                                  type: number
                                maxFps:
                                  description: Max frame rate
                                  type: number
                              additionalProperties: false
                            videos:
                              description: Video input constraints
                              type: object
                              properties:
                                maxCount:
                                  description: Maximum number of inputs
                                  type: number
                                formats:
                                  description: Supported file formats
                                  type: array
                                  items:
                                    type: string
                                minDuration:
                                  description: Minimum duration (seconds)
                                  type: number
                                maxDuration:
                                  description: Maximum duration of a single file (seconds)
                                  type: number
                                maxTotalDuration:
                                  description: Total maximum duration (seconds)
                                  type: number
                                maxSizeMb:
                                  description: Maximum size of a single file (MB)
                                  type: number
                                minAspectRatio:
                                  description: minimum aspect ratio
                                  type: number
                                maxAspectRatio:
                                  description: Maximum aspect ratio
                                  type: number
                                minWidth:
                                  description: minimum width
                                  type: number
                                maxWidth:
                                  description: maximum width
                                  type: number
                                minPixels:
                                  description: Minimum number of pixels
                                  type: number
                                maxPixels:
                                  description: Maximum number of pixels
                                  type: number
                                minFps:
                                  description: Minimum frame rate
                                  type: number
                                maxFps:
                                  description: Max frame rate
                                  type: number
                              additionalProperties: false
                            audios:
                              description: Audio input constraints
                              type: object
                              properties:
                                maxCount:
                                  description: Maximum number of inputs
                                  type: number
                                formats:
                                  description: Supported file formats
                                  type: array
                                  items:
                                    type: string
                                minDuration:
                                  description: Minimum duration (seconds)
                                  type: number
                                maxDuration:
                                  description: Maximum duration of a single file (seconds)
                                  type: number
                                maxTotalDuration:
                                  description: Total maximum duration (seconds)
                                  type: number
                                maxSizeMb:
                                  description: Maximum size of a single file (MB)
                                  type: number
                                minAspectRatio:
                                  description: minimum aspect ratio
                                  type: number
                                maxAspectRatio:
                                  description: Maximum aspect ratio
                                  type: number
                                minWidth:
                                  description: minimum width
                                  type: number
                                maxWidth:
                                  description: maximum width
                                  type: number
                                minPixels:
                                  description: Minimum number of pixels
                                  type: number
                                maxPixels:
                                  description: Maximum number of pixels
                                  type: number
                                minFps:
                                  description: Minimum frame rate
                                  type: number
                                maxFps:
                                  description: Max frame rate
                                  type: number
                              additionalProperties: false
                          additionalProperties: false
                          description: Multimodal input constraints
                        aspectRatios:
                          type: array
                          items:
                            type: string
                          description: List of supported aspect ratios
                        defaults:
                          type: object
                          properties:
                            resolution:
                              type: string
                            aspectRatio:
                              type: string
                            duration:
                              type: number
                          additionalProperties: false
                          description: default value
                        pricing:
                          type: array
                          items:
                            type: object
                            properties:
                              resolution:
                                type: string
                              aspectRatio:
                                type: string
                              mode:
                                type: string
                              duration:
                                type: number
                              price:
                                type: number
                              discount:
                                type: string
                              originPrice:
                                type: number
                            required:
                              - price
                            additionalProperties: false
                          description: price list
                      required:
                        - name
                        - description
                        - tags
                        - creditsScope
                        - modes
                        - resolutions
                        - durations
                        - maxInputImages
                        - aspectRatios
                        - defaults
                        - pricing
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      - name: string
                        description: string
                        tags: []
                        creditsScope: general
                        modes:
                          - text2video
                        resolutions:
                          - string
                        durations:
                          - 1
                        maxInputImages: 1
                        aspectRatios:
                          - string
                        defaults:
                          resolution: string
                          aspectRatio: string
                          duration: 1
                        pricing:
                          - price: 1
                            resolution: string
                            aspectRatio: string
                            mode: string
                            duration: 1
                            discount: string
                            originPrice: 1
                        summary: string
      deprecated: false
      security: []

````